Loading...
Searching...
No Matches
websocketpp::transport::asio::socket::error Namespace Reference

Errors related to asio transport sockets. More...

## Enumerations

enum | value { security = 1 , socket , invalid_state , invalid_tls_context , tls_handshake_timeout , pass_through , missing_tls_init_handler , tls_handshake_failed , tls_failed_sni_hostname }

## Detailed Description

Errors related to asio transport sockets.

The transport::asio::socket::* classes are a set of security/socket related policies and support code for the ASIO transport types.

## Enumeration Type Documentation

## value

enum websocketpp::transport::asio::socket::error::value

Enumerator
security | Catch-all error for security policy errors that don't fit in other categories
socket | Catch-all error for socket component errors that don't fit in other categories
invalid_state | A function was called in a state that it was illegal to do so.
invalid_tls_context | The application was prompted to provide a TLS context and it was empty or otherwise invalid
tls_handshake_timeout | TLS Handshake Timeout.
pass_through | pass_through from underlying library
missing_tls_init_handler | Required tls_init handler not present.
tls_handshake_failed | TLS Handshake Failed.
tls_failed_sni_hostname | Failed to set TLS SNI hostname.

Definition at line 76 of file base.hpp.